fcdcmd.h File Reference

Go to the source code of this file.

## Macros

#define | FCDCMD_INCLUDED__H
#define | FCD_HID_CMD_H 1
#define | FCD_HID_CMD_QUERY 1
#define | FCD_HID_CMD_SET_FREQUENCY_KHZ 100
#define | FCD_HID_CMD_SET_FREQUENCY_HZ 101
#define | FCD_HID_CMD_GET_FREQUENCY_HZ 102
#define | FCD_CMD_APP_SET_DC_CORR 106
#define | FCD_CMD_APP_SET_IQ_CORR 108
#define | FCD_HID_CMD_SET_LNA_GAIN 110
#define | FCD_HID_CMD_SET_RF_FILTER 113
#define | FCD_HID_CMD_SET_MIXER_GAIN 114
#define | FCD_HID_CMD_SET_IF_GAIN 117
#define | FCD_HID_CMD_SET_IF_FILTER 122
#define | FCD_HID_CMD_SET_BIAS_TEE 126
#define | FCD_HID_CMD_GET_LNA_GAIN 150
#define | FCD_HID_CMD_GET_RF_FILTER 153
#define | FCD_HID_CMD_GET_MIXER_GAIN 154
#define | FCD_HID_CMD_GET_IF_GAIN 157
#define | FCD_HID_CMD_GET_IF_FILTER 162
#define | FCD_HID_CMD_GET_BIAS_TEE 166
#define | FCD_RESET 255

## Enumerations

enum | TUNERRFFILTERENUM { TRFE_0_4 , TRFE_4_8 , TRFE_8_16 , TRFE_16_32 , TRFE_32_75 , TRFE_75_125 , TRFE_125_250 , TRFE_145 , TRFE_410_875 , TRFE_435 , TRFE_875_2000 }
enum | TUNERIFFILTERENUM { TIFE_200KHZ = 0 , TIFE_300KHZ = 1 , TIFE_600KHZ = 2 , TIFE_1536KHZ = 3 , TIFE_5MHZ = 4 , TIFE_6MHZ = 5 , TIFE_7MHZ = 6 , TIFE_8MHZ = 7 }
enum | TUNER_MIXER_GAIN_ENUM { TMGE_P4_0DB = 0 , TMGE_P12_0DB = 1 }

## Macro Definition Documentation

## FCD_CMD_APP_SET_DC_CORR

#define FCD_CMD_APP_SET_DC_CORR 106

Send with 2 byte unsigned I DC correction followed by 2 byte unsigned Q DC \ correction. 32768 is the default centre value.

## FCD_CMD_APP_SET_IQ_CORR

#define FCD_CMD_APP_SET_IQ_CORR 108

Send with 2 byte signed phase correction followed by 2 byte unsigned gain \ correction. 0 is the default centre value for phase correction, \ 32768 is the default centre value for gain.

## FCD_HID_CMD_GET_BIAS_TEE

#define FCD_HID_CMD_GET_BIAS_TEE 166

## FCD_HID_CMD_GET_FREQUENCY_HZ

#define FCD_HID_CMD_GET_FREQUENCY_HZ 102

## FCD_HID_CMD_GET_IF_FILTER

#define FCD_HID_CMD_GET_IF_FILTER 162

## FCD_HID_CMD_GET_IF_GAIN

#define FCD_HID_CMD_GET_IF_GAIN 157

## FCD_HID_CMD_GET_LNA_GAIN

#define FCD_HID_CMD_GET_LNA_GAIN 150

## FCD_HID_CMD_GET_MIXER_GAIN

#define FCD_HID_CMD_GET_MIXER_GAIN 154

## FCD_HID_CMD_GET_RF_FILTER

#define FCD_HID_CMD_GET_RF_FILTER 153

## FCD_HID_CMD_H

#define FCD_HID_CMD_H 1

## FCD_HID_CMD_QUERY

#define FCD_HID_CMD_QUERY 1

## FCD_HID_CMD_SET_BIAS_TEE

#define FCD_HID_CMD_SET_BIAS_TEE 126

## FCD_HID_CMD_SET_FREQUENCY_HZ

#define FCD_HID_CMD_SET_FREQUENCY_HZ 101

## FCD_HID_CMD_SET_FREQUENCY_KHZ

#define FCD_HID_CMD_SET_FREQUENCY_KHZ 100

## FCD_HID_CMD_SET_IF_FILTER

#define FCD_HID_CMD_SET_IF_FILTER 122

## FCD_HID_CMD_SET_IF_GAIN

#define FCD_HID_CMD_SET_IF_GAIN 117

## FCD_HID_CMD_SET_LNA_GAIN

#define FCD_HID_CMD_SET_LNA_GAIN 110

## FCD_HID_CMD_SET_MIXER_GAIN

#define FCD_HID_CMD_SET_MIXER_GAIN 114

## FCD_HID_CMD_SET_RF_FILTER

#define FCD_HID_CMD_SET_RF_FILTER 113

## FCD_RESET

#define FCD_RESET 255

## FCDCMD_INCLUDED__H

#define FCDCMD_INCLUDED__H

## Enumeration Type Documentation

## TUNER_MIXER_GAIN_ENUM

enum TUNER_MIXER_GAIN_ENUM

Enumerator
TMGE_P4_0DB |
TMGE_P12_0DB |

## TUNERIFFILTERENUM

enum TUNERIFFILTERENUM

Enumerator
TIFE_200KHZ |
TIFE_300KHZ |
TIFE_600KHZ |
TIFE_1536KHZ |
TIFE_5MHZ |
TIFE_6MHZ |
TIFE_7MHZ |
TIFE_8MHZ |

## TUNERRFFILTERENUM

enum TUNERRFFILTERENUM

Enumerator
TRFE_0_4 |
TRFE_4_8 |
TRFE_8_16 |
TRFE_16_32 |
TRFE_32_75 |
TRFE_75_125 |
TRFE_125_250 |
TRFE_145 |
TRFE_410_875 |
TRFE_435 |
TRFE_875_2000 |